Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyC.h File Reference

`#include "tao/CurrentC.h"`
`#include "tao/Exception.h"`

Include dependency graph for PolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_POLICYERROR_CH_
#define | _CORBA_INVALIDPOLICIES_CH_
#define | _CORBA_INVALIDPOLICIES__TAO_SEQ_CORBA_USHORT__CH_
#define | _CORBA_POLICY_CH_
#define | _CORBA_POLICYMANAGER__VAR_OUT_CH_
#define | _CORBA_POLICYMANAGER_CH_
#define | _CORBA_POLICYCURRENT__VAR_OUT_CH_
#define | _CORBA_POLICYCURRENT_CH_
#define | _CORBA_POLICYMANAGER__TRAITS_CH_
#define | _CORBA_POLICYCURRENT__TRAITS_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyError &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::InvalidPolicies &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Policy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Policy_ptr &)
## Variables
TAO_Export TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define _CORBA_INVALIDPOLICIES__TAO_SEQ_CORBA_USHORT__CH_

#define _CORBA_INVALIDPOLICIES_CH_

#define _CORBA_POLICY_CH_

#define _CORBA_POLICYCURRENT__TRAITS_CH_

#define _CORBA_POLICYCURRENT__VAR_OUT_CH_

#define _CORBA_POLICYCURRENT_CH_

#define _CORBA_POLICYERROR_CH_

#define _CORBA_POLICYMANAGER__TRAITS_CH_

#define _CORBA_POLICYMANAGER__VAR_OUT_CH_

#define _CORBA_POLICYMANAGER_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Policy_ptr |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::InvalidPolicies & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyError & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Policy_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::InvalidPolicies & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyError & |
| ) |

## Variable Documentation

TAO_Export TAO::Collocation_Proxy_Broker*(* CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )